Bug 198598 - nash's open() wrapper ignores mode argument
nash's open() wrapper ignores mode argument
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-12 04:28 EDT by Mark McLoughlin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.0.47-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-13 13:14:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mkinitrd-open-mode.patch (816 bytes, patch)
2006-07-12 04:28 EDT, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Mark McLoughlin 2006-07-12 04:28:01 EDT
The open() wrapper forgets to pass the mode to __real_open()
Comment 1 Mark McLoughlin 2006-07-12 04:28:01 EDT
Created attachment 132285 [details]
mkinitrd-open-mode.patch
Comment 2 Peter Jones 2006-07-13 11:05:51 EDT
Thanks, applied.

Note You need to log in before you can comment on or make changes to this bug.